import { __assign, __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { BaseButton } from '../BaseButton';
import { getStyles } from './DefaultButton.styles';
import BaseComponent from '../../BaseComponent';
var DefaultButton = /** @class */ (function (_super) {
    __extends(DefaultButton, _super);
    function DefaultButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(DefaultButton.prototype, "internalStyles", {
        get: function () {
            var _a = this, _b = _a.primary, primary = _b === void 0 ? false : _b, theme = _a.theme;
            return getStyles(theme, this.styles, primary);
        },
        enumerable: false,
        configurable: true
    });
    DefaultButton.prototype.render = function (h) {
        var _a = this, primary = _a.primary, internalStyles = _a.internalStyles;
        var props = {
            variantClassName: primary ? 'ms-Button--primary' : 'ms-Button--default',
            styles: internalStyles,
            theme: this.theme,
        };
        return h(BaseButton, {
            attrs: __assign(__assign(__assign({}, this.$props), props), this.$attrs),
            on: this.$listeners,
            scopedSlots: this.$scopedSlots,
        });
    };
    __decorate([
        Prop({ type: String, default: '' }),
        __metadata("design:type", String)
    ], DefaultButton.prototype, "text", void 0);
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], DefaultButton.prototype, "primary", void 0);
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], DefaultButton.prototype, "disabled", void 0);
    DefaultButton = __decorate([
        Component
    ], DefaultButton);
    return DefaultButton;
}(BaseComponent));
export { DefaultButton };
//# sourceMappingURL=DefaultButton.js.map