import { __assign } from "tslib";
import { withThemeableProps } from '@/useThemeable';
import Vue from 'vue';
import { BaseButton } from '../../Button';
import { getStyles } from './FacepileButton.styles';
export var FacepileButton = Vue.extend({
    props: __assign({}, withThemeableProps()),
    computed: {
        internalStyles: function () {
            return getStyles(this.theme, this.className, this.styles);
        },
    },
    render: function (h) {
        return h(BaseButton, {
            attrs: this.$attrs,
            props: __assign(__assign({}, this.$props), { variantClassName: 'ms-Button--facepile', styles: this.internalStyles }),
            on: this.$listeners,
            scopedSlots: this.$scopedSlots,
        }, this.$slots.flex);
    },
});
//# sourceMappingURL=FacepileButton.js.map