import { __assign, __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { ImageFit, ImageCoverStyle, ImageLoadState } from './Image.types';
import BaseComponent from '../BaseComponent';
import { classNamesFunction } from '@uifabric-vue/utilities';
var getClassNames = classNamesFunction();
var ImageBase = /** @class */ (function (_super) {
    __extends(ImageBase, _super);
    function ImageBase() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.loadState = ImageLoadState.notLoaded;
        return _this;
    }
    ImageBase.prototype.render = function (h) {
        var _a = this, classNames = _a.classNames, src = _a.src, alt = _a.alt, width = _a.width, height = _a.height;
        var $image = h('img', {
            attrs: __assign(__assign({}, this.$attrs), { src: src, alt: alt }),
            class: classNames.image,
            on: {
                load: this.onImageLoaded,
                error: this.onImageError,
            },
        });
        return h('div', {
            class: classNames.root,
            style: { width: width + 'px', height: height + 'px' },
        }, [
            $image,
        ]);
    };
    Object.defineProperty(ImageBase.prototype, "classNames", {
        get: function () {
            var _a = this, styles = _a.styles, loadState = _a.loadState, coverStyle = _a.coverStyle, imageFit = _a.imageFit, theme = _a.theme, className = _a.className, width = _a.width, height = _a.height, maximizeFrame = _a.maximizeFrame, shouldFadeIn = _a.shouldFadeIn, shouldStartVisible = _a.shouldStartVisible;
            return getClassNames(styles, {
                theme: theme,
                className: className,
                width: width,
                height: height,
                maximizeFrame: maximizeFrame,
                shouldFadeIn: shouldFadeIn,
                shouldStartVisible: shouldStartVisible,
                isLoaded: loadState === ImageLoadState.loaded || (loadState === ImageLoadState.notLoaded && shouldStartVisible),
                isLandscape: coverStyle === ImageCoverStyle.landscape,
                isCenter: imageFit === ImageFit.center,
                isCenterContain: imageFit === ImageFit.centerContain,
                isCenterCover: imageFit === ImageFit.centerCover,
                isContain: imageFit === ImageFit.contain,
                isCover: imageFit === ImageFit.cover,
                isNone: imageFit === ImageFit.none,
                isError: loadState === ImageLoadState.error,
                isNotImageFit: imageFit == null,
            });
        },
        enumerable: false,
        configurable: true
    });
    ImageBase.prototype.onImageLoaded = function () {
        this.loadState = ImageLoadState.loaded;
    };
    ImageBase.prototype.onImageError = function () {
        this.loadState = ImageLoadState.error;
    };
    ImageBase.svgRegex = /\.svg$/i;
    __decorate([
        Prop({ type: String, required: true }),
        __metadata("design:type", String)
    ], ImageBase.prototype, "src", void 0);
    __decorate([
        Prop({ type: String, default: '' }),
        __metadata("design:type", String)
    ], ImageBase.prototype, "alt", void 0);
    __decorate([
        Prop({ type: [String, Number], default: '' }),
        __metadata("design:type", Object)
    ], ImageBase.prototype, "width", void 0);
    __decorate([
        Prop({ type: [String, Number], default: '' }),
        __metadata("design:type", Object)
    ], ImageBase.prototype, "height", void 0);
    __decorate([
        Prop({ type: Number, default: null }),
        __metadata("design:type", Number)
    ], ImageBase.prototype, "imageFit", void 0);
    __decorate([
        Prop({ type: Boolean, default: null }),
        __metadata("design:type", Boolean)
    ], ImageBase.prototype, "maximizeFrame", void 0);
    __decorate([
        Prop({ type: Boolean, default: true }),
        __metadata("design:type", Boolean)
    ], ImageBase.prototype, "shouldFadeIn", void 0);
    __decorate([
        Prop({ type: Boolean, default: null }),
        __metadata("design:type", Boolean)
    ], ImageBase.prototype, "shouldStartVisible", void 0);
    __decorate([
        Prop({ type: Number, default: ImageCoverStyle.portrait }),
        __metadata("design:type", Number)
    ], ImageBase.prototype, "coverStyle", void 0);
    ImageBase = __decorate([
        Component({
            inheritAttrs: false,
        })
    ], ImageBase);
    return ImageBase;
}(BaseComponent));
export { ImageBase };
//# sourceMappingURL=Image.base.js.map