import { __extends } from "tslib";
import { classNamesFunction } from '../../FabricUtilities';
import StatelessComponent from '../StatelessComponent';
/**
 * A component corresponding the content rendered inside the callout of the keytip component.
 * {@docCategory Keytips}
 */
var KeytipContentBase = /** @class */ (function (_super) {
    __extends(KeytipContentBase, _super);
    function KeytipContentBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    KeytipContentBase.prototype.render = function (h, ctx) {
        var _a = ctx.props, content = _a.content, styles = _a.styles, theme = _a.theme, disabled = _a.disabled, visible = _a.visible;
        var getClassNames = classNamesFunction();
        var classNames = getClassNames(styles, {
            theme: theme,
            disabled: disabled,
            visible: visible,
        });
        return h('div', { class: classNames.container }, [
            h('span', { class: classNames.root }, content),
        ]);
    };
    return KeytipContentBase;
}(StatelessComponent));
export { KeytipContentBase };
//# sourceMappingURL=KeytipContent.base.js.map