import { getStyles as getStyles$1 } from '../BaseButton.styles.js';
import { getStyles as getStyles$2 } from '../SplitButton/SplitButton.styles.js';
import { primaryStyles, standardStyles } from '../ButtonThemes.js';
import { concatStyleSets } from '@uifabric/merge-styles';
import { memoizeFunction } from '@uifabric-vue/utilities';
import { FontWeights } from '@uifabric/styling';

var DEFAULT_BUTTON_HEIGHT = "32px";
var DEFAULT_BUTTON_MIN_WIDTH = "80px";
var getStyles = memoizeFunction(function(theme, customStyles, primary) {
  var baseButtonStyles = getStyles$1(theme);
  var splitButtonStyles = getStyles$2(theme);
  var defaultButtonStyles = {
    root: {
      minWidth: DEFAULT_BUTTON_MIN_WIDTH,
      height: DEFAULT_BUTTON_HEIGHT
    },
    label: {
      fontWeight: FontWeights.semibold
    }
  };
  return concatStyleSets(baseButtonStyles, defaultButtonStyles, primary ? primaryStyles(theme) : standardStyles(theme), splitButtonStyles, customStyles);
});

export { getStyles };
