import { __assign } from 'tslib';
import { withCalendarProps } from '../Calendar/useCalendar.js';
import { DateRangeType, DayOfWeek, FirstWeekOfYear } from '@fluentui/date-time-utilities';

var withCalendarDayGridProps = function() {
  return __assign(__assign({}, withCalendarProps()), {
    dateRangeType: { type: Number, default: DateRangeType.Day },
    firstDayOfWeek: { type: Number, default: DayOfWeek.Sunday },
    firstWeekOfYear: { type: Number, default: FirstWeekOfYear.FirstDay },
    selectedDate: { type: Date, required: true },
    navigatedDate: { type: Date, required: true },
    daysToSelectInDayView: { type: Number, default: 1 },
    today: { type: Date, default: function() {
      return new Date();
    } },
    showWeekNumbers: { type: Boolean, default: false },
    weeksToShow: { type: Number, default: void 0 },
    minDate: { type: Date, default: void 0 },
    maxDate: { type: Date, default: void 0 },
    restrictedDates: { type: Array, default: void 0 },
    workWeekDays: { type: Array, default: function() {
      return [DayOfWeek.Monday, DayOfWeek.Tuesday, DayOfWeek.Wednesday, DayOfWeek.Thursday, DayOfWeek.Friday];
    } },
    showCloseButton: { type: Boolean, default: false },
    allFocusable: { type: Boolean, default: false },
    labelledBy: { type: String, default: void 0 },
    lightenDaysOutsideNavigatedMonth: { type: Boolean, default: true },
    animationDirection: { type: Number, default: void 0 }
  });
};
var withCalendarGridRowProps = function() {
  return __assign(__assign({}, withCalendarDayGridProps()), { classNames: { type: Object, required: true }, weeks: { type: Array, required: true }, week: { type: Array, required: true }, weekIndex: { type: Number, required: true }, weekCorners: { type: Object, default: void 0 }, ariaHidden: { type: Boolean, default: void 0 }, rowClassName: { type: String, default: "" }, ariaRole: { type: String, default: void 0 }, activeDescendantId: { type: String, default: void 0 } });
};

export { withCalendarDayGridProps, withCalendarGridRowProps };
