import { __assign } from 'tslib';
import { withThemeableProps } from '../../useThemeable.js';
import { classNamesFunction } from '@uifabric-vue/utilities';
import Vue from 'vue';

var getClassNames = classNamesFunction();
var SeparatorBase = Vue.extend({
  name: "SeparatorBase",
  functional: true,
  props: __assign(__assign({}, withThemeableProps()), { alignContent: { type: String, default: "center" }, vertical: { type: Boolean, default: false } }),
  render: function(h, context) {
    var _a = context.props, styles = _a.styles, theme = _a.theme, className = _a.className, vertical = _a.vertical, alignContent = _a.alignContent;
    var classNames = getClassNames(styles, {
      theme: theme,
      className: className,
      alignContent: alignContent,
      vertical: vertical
    });
    return h("div", { class: classNames.root }, [
      h("div", {
        class: classNames.content,
        attrs: {
          role: "separator",
          "aria-orientation": vertical ? "vertical" : "horizontal"
        }
      }, context.children)
    ]);
  }
});

export { SeparatorBase };
