var getStyles = function(props) {
  var theme = props.theme, as = props.as, className = props.className, block = props.block, nowrap = props.nowrap, variant = props.variant, fontSize = props.fontSize;
  var fonts = theme.fonts, semanticColors = theme.semanticColors;
  var variantObject = fonts[variant || "medium"];
  return {
    root: [
      theme.fonts.medium,
      {
        display: block || nowrap ? as === "td" ? "table-cell" : "block" : "inline",
        fontFamily: variantObject && variantObject.fontFamily || "inherit",
        fontSize: fontSize || variantObject && variantObject.fontSize || "inherit",
        fontWeight: variantObject && variantObject.fontWeight || "inherit",
        color: variantObject.color || semanticColors.bodyText,
        mozOsxFontSmoothing: variantObject && variantObject.MozOsxFontSmoothing,
        webkitFontSmoothing: variantObject && variantObject.WebkitFontSmoothing
      },
      nowrap && {
        whiteSpace: "nowrap",
        overflow: "hidden",
        textOverflow: "ellipsis"
      },
      className
    ]
  };
};

export { getStyles };
