import Vue from 'vue';
export interface IAutofillState {
    inputValue: string;
    isComposing: boolean;
}
interface ICursorLocation {
    start: number;
    end: number;
    dir: 'forward' | 'backward' | 'none' | undefined;
}
export declare const Autofill: import("vue/types/vue").ExtendedVue<Vue, {
    inputValue: string;
    autoFillEnabled: boolean;
    isComposing: boolean;
    timeout: number;
}, {
    focus(): void;
    clear(): void;
    getCurrentInputValue(ev?: Event | undefined): string;
    onCompositionStart(): void;
    onCompositionUpdate(): void;
    onCompositionEnd(): void;
    updateValue(newValue: string, composing: boolean): void;
    tryEnableAutofill(newValue: string, oldValue: string, isComposing?: boolean | undefined, isComposed?: boolean | undefined): void;
    onInput(ev: any): void;
    onKeyDown(ev: KeyboardEvent): void;
    onClick(): void;
}, {
    cursorLocation: number | null;
    cursor: ICursorLocation | null;
    isValueSelected: boolean;
    internalValue: string;
    displayValue: string;
    controlledValue: string | undefined;
}, {
    defaultVisibleValue: string;
    suggestedDisplayValue: string;
    preventValueSelection: boolean;
    enableAutofillOnKeyPress: unknown[];
    value: string;
    disabled: boolean;
}>;
export {};
//# sourceMappingURL=Autofill.d.ts.map